# n.eko - Virtual browser
# Port: 8080
# Virtual browser in Docker for screen sharing

version: "3.5"

networks:
  default:
    attachable: true
    name: "neko-rooms-net"

services:
  neko-rooms:
    image: "m1k1o/neko-rooms:latest"
    restart: "unless-stopped"
    environment:
      - "TZ=America/Los_Angeles"
      - "NEKO_ROOMS_MUX=true"
      - "NEKO_ROOMS_EPR=59000-59049"
      - "NEKO_ROOMS_NAT1TO1=74.91.118.242" # IP address of your server that is reachable from client
      - "NEKO_ROOMS_INSTANCE_URL=https://showtime.vish.gg/" # external URL
      - "NEKO_ROOMS_STORAGE_ENABLED=true"
      - "NEKO_ROOMS_STORAGE_INTERNAL=/data"
      - "NEKO_ROOMS_STORAGE_EXTERNAL=/opt/neko-rooms/data"
      - "NEKO_ROOMS_INSTANCE_NETWORK=neko-rooms-net"
      - "NEKO_ROOMS_TRAEFIK_ENABLED=false"
      - "NEKO_ROOMS_PATH_PREFIX=/room/"
    ports:
      - "8080:8080"
    volumes:
      - "/var/run/docker.sock:/var/run/docker.sock"
      - "/opt/neko-rooms/data:/data"
